import createMaterialIcon from '../createMaterialIcon.js';

const pathData = {
  regular: {
    "100": "M706-469H212v-22h494L465-732l15-16 268 268-268 268-15-16 241-241Z",
    "200": "M701.38-464.62H200v-30.76h501.38L458.77-738 480-760l280 280-280 280-21.23-22 242.61-242.62Z",
    "300": "M693.69-457.31H180v-45.38h513.69L448.39-748 480-780l300 300-300 300-31.61-32 245.3-245.31Z",
    "400": "M686-450H160v-60h526L438-758l42-42 320 320-320 320-42-42 248-248Z",
    "500": "M676.2-445.93H154.02v-68.14H676.2L432.02-758.24 480-806.22 806.22-480 480-154.02l-47.98-47.74L676.2-445.93Z",
    "600": "M662.82-440.39H145.87v-79.22h516.95L423.87-758.57 480-814.7 814.7-480 480-145.87l-56.13-55.56 238.95-238.96Z",
    "700": "M645-433H135v-94h510L413-759l67-67 346 346-346 345-67-66 232-232Z"
  }
};
const ArrowForwardW100 = createMaterialIcon("arrow_forward", pathData.regular[100]);
const ArrowForwardW200 = createMaterialIcon("arrow_forward", pathData.regular[200]);
const ArrowForwardW300 = createMaterialIcon("arrow_forward", pathData.regular[300]);
const ArrowForwardW400 = createMaterialIcon("arrow_forward", pathData.regular[400]);
const ArrowForwardW500 = createMaterialIcon("arrow_forward", pathData.regular[500]);
const ArrowForwardW600 = createMaterialIcon("arrow_forward", pathData.regular[600]);
const ArrowForwardW700 = createMaterialIcon("arrow_forward", pathData.regular[700]);
const ArrowForwardFillW100 = createMaterialIcon("arrow_forward", pathData.regular[100]);
const ArrowForwardFillW200 = createMaterialIcon("arrow_forward", pathData.regular[200]);
const ArrowForwardFillW300 = createMaterialIcon("arrow_forward", pathData.regular[300]);
const ArrowForwardFillW400 = createMaterialIcon("arrow_forward", pathData.regular[400]);
const ArrowForwardFillW500 = createMaterialIcon("arrow_forward", pathData.regular[500]);
const ArrowForwardFillW600 = createMaterialIcon("arrow_forward", pathData.regular[600]);
const ArrowForwardFillW700 = createMaterialIcon("arrow_forward", pathData.regular[700]);

export { ArrowForwardFillW100, ArrowForwardFillW200, ArrowForwardFillW300, ArrowForwardFillW400, ArrowForwardFillW500, ArrowForwardFillW600, ArrowForwardFillW700, ArrowForwardW100, ArrowForwardW200, ArrowForwardW300, ArrowForwardW400, ArrowForwardW500, ArrowForwardW600, ArrowForwardW700 };
